Summary: Additional utilities for the opkg package manager
Name: opkg-utils
Version: 0.7.0
Release: r0
License: GPL-2.0-or-later
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://git.yoctoproject.org/cgit/cgit.cgi/opkg-utils
Source0: 0001-update-alternatives-correctly-match-priority.patch
Source1: series
Source2: opkg-utils-0.7.0-r0.tar.xz
BuildRequires: perl-native
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: bash
Requires: python3
Requires: python3-compression
Requires: python3-crypt
Requires: python3-fcntl
Requires: python3-io
Requires: python3-logging
Requires: python3-math
Requires: python3-pickle
Requires: python3-shell
Requires: python3-stringold

%description
Additional utilities for the opkg package manager.

%package -n opkg-utils-src
Summary: Additional utilities for the opkg package manager - Source files
License: GPL-2.0-or-later
Group: devel

%description -n opkg-utils-src
Additional utilities for the opkg package manager.  This package contains
sources for debugging purposes.

%package -n opkg-utils-dbg
Summary: Additional utilities for the opkg package manager - Debugging files
License: GPL-2.0-or-later
Group: devel

%description -n opkg-utils-dbg
Additional utilities for the opkg package manager.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n update-alternatives-opkg
Summary: Utility for managing the alternatives system
License: GPL-2.0-or-later
Group: base
Requires: /bin/sh
Requires(postun): /bin/sh
Provides: update-alternatives
Provides: update-alternatives-cworth
Obsoletes: update-alternatives-cworth
Conflicts: update-alternatives-cworth

%description -n update-alternatives-opkg
Additional utilities for the opkg package manager.

%package -n opkg-utils-doc
Summary: Additional utilities for the opkg package manager - Documentation files
License: GPL-2.0-or-later
Group: doc

%description -n opkg-utils-doc
Additional utilities for the opkg package manager.  This package contains
documentation.

%package -n opkg-utils-locale
Summary: Additional utilities for the opkg package manager
License: GPL-2.0-or-later
Group: base

%description -n opkg-utils-locale
Additional utilities for the opkg package manager.

%postun -n update-alternatives-opkg
# update-alternatives-opkg - postrm
if [ "$1" = "0" ] ; then
set -e
	rm -rf $D/usr/lib/opkg/alternatives
	rmdir $D/usr/lib/opkg || true
fi

%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/arfile.py"
%attr(755,root,root) "/usr/bin/opkg-build"
%attr(755,root,root) "/usr/bin/opkg-buildpackage"
%attr(755,root,root) "/usr/bin/opkg-extract-file"
%attr(755,root,root) "/usr/bin/opkg-unbuild"
%attr(755,root,root) "/usr/bin/opkg-list-fields"
%attr(755,root,root) "/usr/bin/opkg-make-index"
%attr(755,root,root) "/usr/bin/opkg-compare-indexes"
%attr(755,root,root) "/usr/bin/opkg-show-deps"
%attr(755,root,root) "/usr/bin/opkg-diff"
%attr(755,root,root) "/usr/bin/opkg.py"
%attr(755,root,root) "/usr/bin/opkg-feed"

%files -n opkg-utils-dbg
%defattr(-,-,-,-)

%files -n update-alternatives-opkg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/update-alternatives"

%files -n opkg-utils-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/opkg-build.1"

%%prep
echo "include logs and patches, Please check them in SOURCES"

